Version:        1.54.0
Name:           mindforger
Release:        1%{?dist}
Summary:        Thinking notebook and Markdown editor

License:        GPL-2.0-only
URL:            https://www.mindforger.com
Source0:        https://github.com/dvorka/mindforger/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: ccache
BuildRequires: cmake
# Disable for now
# BuildRequires: cmark-gfm-devel
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: hunspell-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qttools-devel
BuildRequires: qt5-qtwebkit-devel
BuildRequires: qt5-rpm-macros
BuildRequires: zlib-devel
# Needed for tests
BuildRequires:  gtest-devel

%description
MindForger is an open, free, performant and secure Markdown editor
which respects your privacy.

MindForger is actually more than an editor or IDE -
it's a human mind inspired personal knowledge management tool.

%prep
%autosetup -n %{name}-%{version}
# Remove bundled libraries
rm -r deps

%build
# Use pkgconfig for hunspell rather than hard coded link
sed -i 's|#  CONFIG += link_pkgconfig|CONFIG += link_pkgconfig|g' app/app.pro
sed -i 's|#  PKGCONFIG += hunspell|PKGCONFIG += hunspell|g' app/app.pro
sed -i 's|INCLUDEPATH += /usr/include/hunspell|# INCLUDEPATH += /usr/include/hunspell|g' app/app.pro
sed -i 's|LIBS += -lhunspell|# LIBS += -lhunspell|g' app/app.pro
# Use Fedora install locations
# Fedora-Review gives an error due to use of %{_buildroot}, but no
# paths are changed until the install section, installation path
# is configured when invoking qmake
sed -i 's|binfile.path = $$PREFIX/bin/|binfile.path = %{buildroot}%{_bindir}|g' app/app.pro
sed -i 's|$$PREFIX/share|%{buildroot}%{_datadir}|g' mindforger.pro

# Do not include markdown to html export capability
%qmake_qt5 -r "CONFIG+=mfnomd2html" mindforger.pro
%make_build

%install
%make_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/mindforger.desktop
# Running the binary brings up a GUI, so cannot do a test or smoke test
# Other tests require git hitsory

%files
%doc README.md
%doc Changelog
%doc CREDITS.md
%doc KNOWN_ISSUES.md
%license LICENSE
%{_bindir}/mindforger
%{_datadir}/applications/mindforger.desktop
%{_datadir}/icons/mindforger
%{_mandir}/man1/mindforger.1*

%changelog
* Sun Jul 30 2023 Benson Muite <benson_muite@emailplus.org> - 1.54.0-1
- Initial packaging based on copr spec file by @fas:deadmozay
